API ReferenceInteractive ReferenceEntities
Update entity
Partial update — only provided fields are modified. Automatically regenerates `description_llm` and `search_text` after update.
Path Parameters
entity_id*string
Entity UUID.
Format
uuidHeader Parameters
x-tenant-id?|
authorization?|
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PATCH "https://loading/api/v1/entities/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"tenant_id": "34f5c98e-f430-457b-a812-92637d0c6fd0",
"vertical": "string",
"entity_type": "string",
"name": "string",
"description": "string",
"description_llm": "string",
"source_url": "string",
"source_type": "string",
"source_name": "string",
"source_id": "string",
"status": "string",
"vertical_data": {},
"embedding_status": "string",
"claim_status": "string",
"data_quality_score": 0,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}